import { type UserConfig } from '@unocss/core';
import { type BuildContext } from './models.js';
export type ClassesExpansions = Record<string, string[]>;
export type CSSClassToken = string | false | undefined | null;
export type CSSClassesResolver = (...klasses: (CSSClassToken | CSSClassToken[])[]) => string;
export declare function tokenizeCssClasses(klass: (CSSClassToken | CSSClassToken[])[]): string[];
export declare function transformCSS(config: UserConfig, css: string): Promise<string>;
export declare function loadCSSClassesExpansion(css: string): Promise<ClassesExpansions>;
export declare function compressCssClass(context: BuildContext, expanded: string): string;
export declare function expandCSSClasses(context: BuildContext, classes: ClassesExpansions, ...klasses: (CSSClassToken | CSSClassToken[])[]): string;
export declare function createCSSClassesResolver(context: BuildContext, classes: ClassesExpansions): CSSClassesResolver;
export declare function serializeCSSClasses(context: BuildContext): Record<string, string>;
export declare function finalizePageCSS(context: BuildContext, cssConfig: UserConfig, contents: string, headingCss: string): Promise<string>;
